This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 116425 - Unable to open /dev/sdf
Unable to open /dev/sdf
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-20 18:06 EST by Brock Organ
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-10 12:09:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2004-02-20 18:06:29 EST
* RHEL3-U1 s390
* zfcp support (scsi over fiber)

Certain /dev/sd* devices incorrectly are "Unable to open"

For example, with the following 16 drive list (ie sda-sdp), the
following disks are not available: 

sdf, sdh, sdj, sdl, sdn, sdp

# ls -l /dev/sdf /dev/sdh /dev/sdj /dev/sdl /dev/sdn /dev/sdp
brw-r--r--    1 root     root       8,  72 Feb 20 12:57 /dev/sdf
brw-r--r--    1 root     root       8,  88 Feb 20 12:57 /dev/sdh
brw-r--r--    1 root     root       8, 104 Feb 20 12:57 /dev/sdj
brw-r--r--    1 root     root       8, 120 Feb 20 12:57 /dev/sdl
brw-r--r--    1 root     root       8, 136 Feb 20 12:57 /dev/sdn
brw-r--r--    1 root     root       8, 152 Feb 20 12:57 /dev/sdp
#

so each of the unavailable disks are not usable (such as with fdisk or
mdadm or other user space tools):

# fdisk /dev/sdf

Unable to open /dev/sdf
#

The other devices are usable (sda example):

# fdisk -l /dev/sda

Disk /dev/sda: 4000 MB, 4000022528 bytes
124 heads, 62 sectors/track, 1016 cylinders
Units = cylinders of 7688 * 512 = 3936256 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sda1             1       900   3459569   83  Linux
/dev/sda2           901      1016    445904   fd  Linux raid autodetect
#
Comment 1 Suzanne Hillman 2004-02-24 10:44:08 EST
I'm a little confused. I'm reading this to say that there are
unavailable disks from sdf-sdp, and that fdisk-ing one of those
devices causes it to say that it's unable to open it. Why is this a
problem? What do you expect/want to be happening?
Comment 2 Brock Organ 2004-03-02 14:03:17 EST
sorry, that is confusing, let me try to be clearer: :)

my zfcp map defines 16 scsi disks (sda-sdp) ... so I would expect all
16 disks to be fdisk-able, for example ... 10 of the 16 disks, in fact
are available (fdisk-able), but for unknown reasons, 6 of them are not
... 
Comment 3 Brock Organ 2004-03-10 12:09:04 EST
this seems to not be present in more recent test trees ... will
re-open if I can reproduce it/get more details ...

Note You need to log in before you can comment on or make changes to this bug.